#include "pq_config.h"
#include <stdint.h>
#include "j2s.h"

#define J2S_MAGIC 233960
#define J2S_NUM_OBJ 99
#define J2S_NUM_STRUCT 7
#define J2S_NUM_ENUM 0
#define J2S_NUM_ENUM_VALUE 0

static void _j2s_init(j2s_ctx *ctx) {
	j2s_obj *obj;

	static j2s_obj objs[J2S_NUM_OBJ];
	static j2s_struct structs[J2S_NUM_STRUCT];
	static j2s_enum enums[J2S_NUM_ENUM];
	static j2s_enum_value enum_values[J2S_NUM_ENUM_VALUE];

	ctx->magic = J2S_MAGIC;
	ctx->priv = NULL;
	ctx->objs = (j2s_obj *)&objs;
	ctx->structs = (j2s_struct *)&structs;
	ctx->enums = (j2s_enum *)&enums;
	ctx->enum_values = (j2s_enum_value *)&enum_values;

	ctx->num_obj = J2S_NUM_OBJ;
	ctx->num_struct = J2S_NUM_STRUCT;
	ctx->num_enum = J2S_NUM_ENUM;
	ctx->num_enum_value = J2S_NUM_ENUM_VALUE;


#ifndef J2S_ENABLE_DESC
	ctx->num_desc = 0;
#else
	static const char *descs[J2S_NUM_OBJ];
	ctx->descs = (const char **)descs;
	ctx->num_desc = J2S_NUM_OBJ;
#endif

	ctx->root_index = 6;

	obj = &ctx->objs[0];
	strcpy(obj->name, "cscEnable");
	obj->type = J2S_TYPE_INT_8;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((csc*)0)->cscEnable;
	obj->elem_size = sizeof(((csc*)0)->cscEnable);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 1;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[1];
	strcpy(obj->name, "cscMode");
	obj->type = J2S_TYPE_STRING;
	obj->flags = 0 | J2S_FLAG_POINTER;
	obj->offset = (uintptr_t)&((csc*)0)->cscMode;
	obj->elem_size = sizeof(((csc*)0)->cscMode[0]);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 2;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[2];
	strcpy(obj->name, "cscBrightness");
	obj->type = J2S_TYPE_UINT_32;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((csc*)0)->cscBrightness;
	obj->elem_size = sizeof(((csc*)0)->cscBrightness);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 3;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[3];
	strcpy(obj->name, "cscHue");
	obj->type = J2S_TYPE_UINT_32;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((csc*)0)->cscHue;
	obj->elem_size = sizeof(((csc*)0)->cscHue);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 4;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[4];
	strcpy(obj->name, "cscContrast");
	obj->type = J2S_TYPE_UINT_32;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((csc*)0)->cscContrast;
	obj->elem_size = sizeof(((csc*)0)->cscContrast);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 5;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[5];
	strcpy(obj->name, "cscSaturation");
	obj->type = J2S_TYPE_UINT_32;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((csc*)0)->cscSaturation;
	obj->elem_size = sizeof(((csc*)0)->cscSaturation);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 6;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[6];
	strcpy(obj->name, "cscRGain");
	obj->type = J2S_TYPE_UINT_32;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((csc*)0)->cscRGain;
	obj->elem_size = sizeof(((csc*)0)->cscRGain);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 7;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[7];
	strcpy(obj->name, "cscGGain");
	obj->type = J2S_TYPE_UINT_32;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((csc*)0)->cscGGain;
	obj->elem_size = sizeof(((csc*)0)->cscGGain);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 8;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[8];
	strcpy(obj->name, "cscBGain");
	obj->type = J2S_TYPE_UINT_32;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((csc*)0)->cscBGain;
	obj->elem_size = sizeof(((csc*)0)->cscBGain);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = -1;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[9];
	strcpy(obj->name, "dciEnable");
	obj->type = J2S_TYPE_INT_8;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((dci*)0)->dciEnable;
	obj->elem_size = sizeof(((dci*)0)->dciEnable);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 10;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[10];
	strcpy(obj->name, "dciWgtCoef_low");
	obj->type = J2S_TYPE_UINT_16;
	obj->flags = 0 | J2S_FLAG_ARRAY;
	obj->offset = (uintptr_t)&((dci*)0)->dciWgtCoef_low;
	obj->elem_size = sizeof(((dci*)0)->dciWgtCoef_low[0]);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = (sizeof(((dci*)0)->dciWgtCoef_low) / obj->elem_size);
	obj->len_index = -1;
	obj->next_index = 11;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[11];
	strcpy(obj->name, "dciWgtCoef_mid");
	obj->type = J2S_TYPE_UINT_16;
	obj->flags = 0 | J2S_FLAG_ARRAY;
	obj->offset = (uintptr_t)&((dci*)0)->dciWgtCoef_mid;
	obj->elem_size = sizeof(((dci*)0)->dciWgtCoef_mid[0]);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = (sizeof(((dci*)0)->dciWgtCoef_mid) / obj->elem_size);
	obj->len_index = -1;
	obj->next_index = 12;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[12];
	strcpy(obj->name, "dciWgtCoef_high");
	obj->type = J2S_TYPE_UINT_16;
	obj->flags = 0 | J2S_FLAG_ARRAY;
	obj->offset = (uintptr_t)&((dci*)0)->dciWgtCoef_high;
	obj->elem_size = sizeof(((dci*)0)->dciWgtCoef_high[0]);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = (sizeof(((dci*)0)->dciWgtCoef_high) / obj->elem_size);
	obj->len_index = -1;
	obj->next_index = 13;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[13];
	strcpy(obj->name, "dciWeight_low");
	obj->type = J2S_TYPE_UINT_16;
	obj->flags = 0 | J2S_FLAG_ARRAY;
	obj->offset = (uintptr_t)&((dci*)0)->dciWeight_low;
	obj->elem_size = sizeof(((dci*)0)->dciWeight_low[0]);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = (sizeof(((dci*)0)->dciWeight_low) / obj->elem_size);
	obj->len_index = -1;
	obj->next_index = 14;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[14];
	strcpy(obj->name, "dciWeight_mid");
	obj->type = J2S_TYPE_UINT_16;
	obj->flags = 0 | J2S_FLAG_ARRAY;
	obj->offset = (uintptr_t)&((dci*)0)->dciWeight_mid;
	obj->elem_size = sizeof(((dci*)0)->dciWeight_mid[0]);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = (sizeof(((dci*)0)->dciWeight_mid) / obj->elem_size);
	obj->len_index = -1;
	obj->next_index = 15;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[15];
	strcpy(obj->name, "dciWeight_high");
	obj->type = J2S_TYPE_UINT_16;
	obj->flags = 0 | J2S_FLAG_ARRAY;
	obj->offset = (uintptr_t)&((dci*)0)->dciWeight_high;
	obj->elem_size = sizeof(((dci*)0)->dciWeight_high[0]);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = (sizeof(((dci*)0)->dciWeight_high) / obj->elem_size);
	obj->len_index = -1;
	obj->next_index = -1;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[16];
	strcpy(obj->name, "acmEnable");
	obj->type = J2S_TYPE_INT_8;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((acm*)0)->acmEnable;
	obj->elem_size = sizeof(((acm*)0)->acmEnable);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 17;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[17];
	strcpy(obj->name, "acmTableDeltaYbyH");
	obj->type = J2S_TYPE_INT_16;
	obj->flags = 0 | J2S_FLAG_ARRAY;
	obj->offset = (uintptr_t)&((acm*)0)->acmTableDeltaYbyH;
	obj->elem_size = sizeof(((acm*)0)->acmTableDeltaYbyH[0]);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = (sizeof(((acm*)0)->acmTableDeltaYbyH) / obj->elem_size);
	obj->len_index = -1;
	obj->next_index = 18;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[18];
	strcpy(obj->name, "acmTableDeltaHbyH");
	obj->type = J2S_TYPE_INT_16;
	obj->flags = 0 | J2S_FLAG_ARRAY;
	obj->offset = (uintptr_t)&((acm*)0)->acmTableDeltaHbyH;
	obj->elem_size = sizeof(((acm*)0)->acmTableDeltaHbyH[0]);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = (sizeof(((acm*)0)->acmTableDeltaHbyH) / obj->elem_size);
	obj->len_index = -1;
	obj->next_index = 19;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[19];
	strcpy(obj->name, "acmTableDeltaSbyH");
	obj->type = J2S_TYPE_INT_16;
	obj->flags = 0 | J2S_FLAG_ARRAY;
	obj->offset = (uintptr_t)&((acm*)0)->acmTableDeltaSbyH;
	obj->elem_size = sizeof(((acm*)0)->acmTableDeltaSbyH[0]);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = (sizeof(((acm*)0)->acmTableDeltaSbyH) / obj->elem_size);
	obj->len_index = -1;
	obj->next_index = 20;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[20];
	strcpy(obj->name, "acmTableGainYbyY");
	obj->type = J2S_TYPE_INT_16;
	obj->flags = 0 | J2S_FLAG_ARRAY;
	obj->offset = (uintptr_t)&((acm*)0)->acmTableGainYbyY;
	obj->elem_size = sizeof(((acm*)0)->acmTableGainYbyY[0]);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = (sizeof(((acm*)0)->acmTableGainYbyY) / obj->elem_size);
	obj->len_index = -1;
	obj->next_index = 21;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[21];
	strcpy(obj->name, "acmTableGainHbyY");
	obj->type = J2S_TYPE_INT_16;
	obj->flags = 0 | J2S_FLAG_ARRAY;
	obj->offset = (uintptr_t)&((acm*)0)->acmTableGainHbyY;
	obj->elem_size = sizeof(((acm*)0)->acmTableGainHbyY[0]);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = (sizeof(((acm*)0)->acmTableGainHbyY) / obj->elem_size);
	obj->len_index = -1;
	obj->next_index = 22;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[22];
	strcpy(obj->name, "acmTableGainSbyY");
	obj->type = J2S_TYPE_INT_16;
	obj->flags = 0 | J2S_FLAG_ARRAY;
	obj->offset = (uintptr_t)&((acm*)0)->acmTableGainSbyY;
	obj->elem_size = sizeof(((acm*)0)->acmTableGainSbyY[0]);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = (sizeof(((acm*)0)->acmTableGainSbyY) / obj->elem_size);
	obj->len_index = -1;
	obj->next_index = 23;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[23];
	strcpy(obj->name, "acmTableGainYbyS");
	obj->type = J2S_TYPE_INT_16;
	obj->flags = 0 | J2S_FLAG_ARRAY;
	obj->offset = (uintptr_t)&((acm*)0)->acmTableGainYbyS;
	obj->elem_size = sizeof(((acm*)0)->acmTableGainYbyS[0]);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = (sizeof(((acm*)0)->acmTableGainYbyS) / obj->elem_size);
	obj->len_index = -1;
	obj->next_index = 24;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[24];
	strcpy(obj->name, "acmTableGainHbyS");
	obj->type = J2S_TYPE_INT_16;
	obj->flags = 0 | J2S_FLAG_ARRAY;
	obj->offset = (uintptr_t)&((acm*)0)->acmTableGainHbyS;
	obj->elem_size = sizeof(((acm*)0)->acmTableGainHbyS[0]);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = (sizeof(((acm*)0)->acmTableGainHbyS) / obj->elem_size);
	obj->len_index = -1;
	obj->next_index = 25;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[25];
	strcpy(obj->name, "acmTableGainSbyS");
	obj->type = J2S_TYPE_INT_16;
	obj->flags = 0 | J2S_FLAG_ARRAY;
	obj->offset = (uintptr_t)&((acm*)0)->acmTableGainSbyS;
	obj->elem_size = sizeof(((acm*)0)->acmTableGainSbyS[0]);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = (sizeof(((acm*)0)->acmTableGainSbyS) / obj->elem_size);
	obj->len_index = -1;
	obj->next_index = 26;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[26];
	strcpy(obj->name, "lumGain");
	obj->type = J2S_TYPE_UINT_32;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((acm*)0)->lumGain;
	obj->elem_size = sizeof(((acm*)0)->lumGain);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 27;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[27];
	strcpy(obj->name, "hueGain");
	obj->type = J2S_TYPE_UINT_32;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((acm*)0)->hueGain;
	obj->elem_size = sizeof(((acm*)0)->hueGain);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 28;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[28];
	strcpy(obj->name, "satGain");
	obj->type = J2S_TYPE_UINT_32;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((acm*)0)->satGain;
	obj->elem_size = sizeof(((acm*)0)->satGain);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = -1;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[29];
	strcpy(obj->name, "gammaEnable");
	obj->type = J2S_TYPE_INT_8;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((gamma*)0)->gammaEnable;
	obj->elem_size = sizeof(((gamma*)0)->gammaEnable);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 30;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[30];
	strcpy(obj->name, "gammaTab_R");
	obj->type = J2S_TYPE_UINT_16;
	obj->flags = 0 | J2S_FLAG_ARRAY;
	obj->offset = (uintptr_t)&((gamma*)0)->gammaTab_R;
	obj->elem_size = sizeof(((gamma*)0)->gammaTab_R[0]);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = (sizeof(((gamma*)0)->gammaTab_R) / obj->elem_size);
	obj->len_index = -1;
	obj->next_index = 31;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[31];
	strcpy(obj->name, "gammaTab_G");
	obj->type = J2S_TYPE_UINT_16;
	obj->flags = 0 | J2S_FLAG_ARRAY;
	obj->offset = (uintptr_t)&((gamma*)0)->gammaTab_G;
	obj->elem_size = sizeof(((gamma*)0)->gammaTab_G[0]);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = (sizeof(((gamma*)0)->gammaTab_G) / obj->elem_size);
	obj->len_index = -1;
	obj->next_index = 32;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[32];
	strcpy(obj->name, "gammaTab_B");
	obj->type = J2S_TYPE_UINT_16;
	obj->flags = 0 | J2S_FLAG_ARRAY;
	obj->offset = (uintptr_t)&((gamma*)0)->gammaTab_B;
	obj->elem_size = sizeof(((gamma*)0)->gammaTab_B[0]);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = (sizeof(((gamma*)0)->gammaTab_B) / obj->elem_size);
	obj->len_index = -1;
	obj->next_index = -1;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[33];
	strcpy(obj->name, "sharpEnable");
	obj->type = J2S_TYPE_INT_8;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->sharpEnable;
	obj->elem_size = sizeof(((sharp*)0)->sharpEnable);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 34;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[34];
	strcpy(obj->name, "sharpPeakingGain");
	obj->type = J2S_TYPE_UINT_32;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->sharpPeakingGain;
	obj->elem_size = sizeof(((sharp*)0)->sharpPeakingGain);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 35;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[35];
	strcpy(obj->name, "sharpEnableShootCtrl");
	obj->type = J2S_TYPE_INT_8;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->sharpEnableShootCtrl;
	obj->elem_size = sizeof(((sharp*)0)->sharpEnableShootCtrl);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 36;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[36];
	strcpy(obj->name, "sharpShootCtrlOver");
	obj->type = J2S_TYPE_UINT_32;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->sharpShootCtrlOver;
	obj->elem_size = sizeof(((sharp*)0)->sharpShootCtrlOver);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 37;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[37];
	strcpy(obj->name, "sharpShootCtrlUnder");
	obj->type = J2S_TYPE_UINT_32;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->sharpShootCtrlUnder;
	obj->elem_size = sizeof(((sharp*)0)->sharpShootCtrlUnder);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 38;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[38];
	strcpy(obj->name, "sharpEnableCoringCtrl");
	obj->type = J2S_TYPE_INT_8;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->sharpEnableCoringCtrl;
	obj->elem_size = sizeof(((sharp*)0)->sharpEnableCoringCtrl);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 39;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[39];
	strcpy(obj->name, "sharpCoringCtrlRatio0");
	obj->type = J2S_TYPE_UINT_16;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->sharpCoringCtrlRatio0;
	obj->elem_size = sizeof(((sharp*)0)->sharpCoringCtrlRatio0);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 40;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[40];
	strcpy(obj->name, "sharpCoringCtrlRatio1");
	obj->type = J2S_TYPE_UINT_16;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->sharpCoringCtrlRatio1;
	obj->elem_size = sizeof(((sharp*)0)->sharpCoringCtrlRatio1);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 41;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[41];
	strcpy(obj->name, "sharpCoringCtrlRatio2");
	obj->type = J2S_TYPE_UINT_16;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->sharpCoringCtrlRatio2;
	obj->elem_size = sizeof(((sharp*)0)->sharpCoringCtrlRatio2);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 42;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[42];
	strcpy(obj->name, "sharpCoringCtrlRatio3");
	obj->type = J2S_TYPE_UINT_16;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->sharpCoringCtrlRatio3;
	obj->elem_size = sizeof(((sharp*)0)->sharpCoringCtrlRatio3);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 43;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[43];
	strcpy(obj->name, "sharpCoringCtrlZero0");
	obj->type = J2S_TYPE_UINT_16;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->sharpCoringCtrlZero0;
	obj->elem_size = sizeof(((sharp*)0)->sharpCoringCtrlZero0);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 44;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[44];
	strcpy(obj->name, "sharpCoringCtrlZero1");
	obj->type = J2S_TYPE_UINT_16;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->sharpCoringCtrlZero1;
	obj->elem_size = sizeof(((sharp*)0)->sharpCoringCtrlZero1);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 45;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[45];
	strcpy(obj->name, "sharpCoringCtrlZero2");
	obj->type = J2S_TYPE_UINT_16;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->sharpCoringCtrlZero2;
	obj->elem_size = sizeof(((sharp*)0)->sharpCoringCtrlZero2);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 46;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[46];
	strcpy(obj->name, "sharpCoringCtrlZero3");
	obj->type = J2S_TYPE_UINT_16;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->sharpCoringCtrlZero3;
	obj->elem_size = sizeof(((sharp*)0)->sharpCoringCtrlZero3);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 47;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[47];
	strcpy(obj->name, "sharpCoringCtrlThrd0");
	obj->type = J2S_TYPE_UINT_16;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->sharpCoringCtrlThrd0;
	obj->elem_size = sizeof(((sharp*)0)->sharpCoringCtrlThrd0);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 48;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[48];
	strcpy(obj->name, "sharpCoringCtrlThrd1");
	obj->type = J2S_TYPE_UINT_16;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->sharpCoringCtrlThrd1;
	obj->elem_size = sizeof(((sharp*)0)->sharpCoringCtrlThrd1);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 49;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[49];
	strcpy(obj->name, "sharpCoringCtrlThrd2");
	obj->type = J2S_TYPE_UINT_16;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->sharpCoringCtrlThrd2;
	obj->elem_size = sizeof(((sharp*)0)->sharpCoringCtrlThrd2);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 50;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[50];
	strcpy(obj->name, "sharpCoringCtrlThrd3");
	obj->type = J2S_TYPE_UINT_16;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->sharpCoringCtrlThrd3;
	obj->elem_size = sizeof(((sharp*)0)->sharpCoringCtrlThrd3);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 51;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[51];
	strcpy(obj->name, "sharpEnableGainCtrl");
	obj->type = J2S_TYPE_INT_8;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->sharpEnableGainCtrl;
	obj->elem_size = sizeof(((sharp*)0)->sharpEnableGainCtrl);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 52;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[52];
	strcpy(obj->name, "sharpGainCtrlPos0");
	obj->type = J2S_TYPE_UINT_16;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->sharpGainCtrlPos0;
	obj->elem_size = sizeof(((sharp*)0)->sharpGainCtrlPos0);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 53;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[53];
	strcpy(obj->name, "sharpGainCtrlPos1");
	obj->type = J2S_TYPE_UINT_16;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->sharpGainCtrlPos1;
	obj->elem_size = sizeof(((sharp*)0)->sharpGainCtrlPos1);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 54;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[54];
	strcpy(obj->name, "sharpGainCtrlPos2");
	obj->type = J2S_TYPE_UINT_16;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->sharpGainCtrlPos2;
	obj->elem_size = sizeof(((sharp*)0)->sharpGainCtrlPos2);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 55;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[55];
	strcpy(obj->name, "sharpGainCtrlPos3");
	obj->type = J2S_TYPE_UINT_16;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->sharpGainCtrlPos3;
	obj->elem_size = sizeof(((sharp*)0)->sharpGainCtrlPos3);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 56;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[56];
	strcpy(obj->name, "sharpEnableLimitCtrl");
	obj->type = J2S_TYPE_INT_8;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->sharpEnableLimitCtrl;
	obj->elem_size = sizeof(((sharp*)0)->sharpEnableLimitCtrl);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 57;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[57];
	strcpy(obj->name, "sharpLimitCtrlPos00");
	obj->type = J2S_TYPE_UINT_16;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->sharpLimitCtrlPos00;
	obj->elem_size = sizeof(((sharp*)0)->sharpLimitCtrlPos00);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 58;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[58];
	strcpy(obj->name, "sharpLimitCtrlPos01");
	obj->type = J2S_TYPE_UINT_16;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->sharpLimitCtrlPos01;
	obj->elem_size = sizeof(((sharp*)0)->sharpLimitCtrlPos01);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 59;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[59];
	strcpy(obj->name, "sharpLimitCtrlPos02");
	obj->type = J2S_TYPE_UINT_16;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->sharpLimitCtrlPos02;
	obj->elem_size = sizeof(((sharp*)0)->sharpLimitCtrlPos02);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 60;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[60];
	strcpy(obj->name, "sharpLimitCtrlPos03");
	obj->type = J2S_TYPE_UINT_16;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->sharpLimitCtrlPos03;
	obj->elem_size = sizeof(((sharp*)0)->sharpLimitCtrlPos03);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 61;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[61];
	strcpy(obj->name, "sharpLimitCtrlPos10");
	obj->type = J2S_TYPE_UINT_16;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->sharpLimitCtrlPos10;
	obj->elem_size = sizeof(((sharp*)0)->sharpLimitCtrlPos10);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 62;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[62];
	strcpy(obj->name, "sharpLimitCtrlPos11");
	obj->type = J2S_TYPE_UINT_16;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->sharpLimitCtrlPos11;
	obj->elem_size = sizeof(((sharp*)0)->sharpLimitCtrlPos11);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 63;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[63];
	strcpy(obj->name, "sharpLimitCtrlPos12");
	obj->type = J2S_TYPE_UINT_16;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->sharpLimitCtrlPos12;
	obj->elem_size = sizeof(((sharp*)0)->sharpLimitCtrlPos12);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 64;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[64];
	strcpy(obj->name, "sharpLimitCtrlPos13");
	obj->type = J2S_TYPE_UINT_16;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->sharpLimitCtrlPos13;
	obj->elem_size = sizeof(((sharp*)0)->sharpLimitCtrlPos13);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 65;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[65];
	strcpy(obj->name, "sharpLimitCtrlBndPos0");
	obj->type = J2S_TYPE_UINT_16;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->sharpLimitCtrlBndPos0;
	obj->elem_size = sizeof(((sharp*)0)->sharpLimitCtrlBndPos0);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 66;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[66];
	strcpy(obj->name, "sharpLimitCtrlBndPos1");
	obj->type = J2S_TYPE_UINT_16;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->sharpLimitCtrlBndPos1;
	obj->elem_size = sizeof(((sharp*)0)->sharpLimitCtrlBndPos1);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 67;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[67];
	strcpy(obj->name, "sharpLimitCtrlBndPos2");
	obj->type = J2S_TYPE_UINT_16;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->sharpLimitCtrlBndPos2;
	obj->elem_size = sizeof(((sharp*)0)->sharpLimitCtrlBndPos2);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 68;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[68];
	strcpy(obj->name, "sharpLimitCtrlBndPos3");
	obj->type = J2S_TYPE_UINT_16;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->sharpLimitCtrlBndPos3;
	obj->elem_size = sizeof(((sharp*)0)->sharpLimitCtrlBndPos3);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 69;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[69];
	strcpy(obj->name, "sharpLimitCtrlRatio0");
	obj->type = J2S_TYPE_UINT_16;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->sharpLimitCtrlRatio0;
	obj->elem_size = sizeof(((sharp*)0)->sharpLimitCtrlRatio0);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 70;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[70];
	strcpy(obj->name, "sharpLimitCtrlRatio1");
	obj->type = J2S_TYPE_UINT_16;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->sharpLimitCtrlRatio1;
	obj->elem_size = sizeof(((sharp*)0)->sharpLimitCtrlRatio1);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 71;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[71];
	strcpy(obj->name, "sharpLimitCtrlRatio2");
	obj->type = J2S_TYPE_UINT_16;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->sharpLimitCtrlRatio2;
	obj->elem_size = sizeof(((sharp*)0)->sharpLimitCtrlRatio2);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 72;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[72];
	strcpy(obj->name, "sharpLimitCtrlRatio3");
	obj->type = J2S_TYPE_UINT_16;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->sharpLimitCtrlRatio3;
	obj->elem_size = sizeof(((sharp*)0)->sharpLimitCtrlRatio3);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 73;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[73];
	strcpy(obj->name, "AISDEnable");
	obj->type = J2S_TYPE_INT_8;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->AISDEnable;
	obj->elem_size = sizeof(((sharp*)0)->AISDEnable);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 74;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[74];
	strcpy(obj->name, "AISREnable");
	obj->type = J2S_TYPE_INT_8;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->AISREnable;
	obj->elem_size = sizeof(((sharp*)0)->AISREnable);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 75;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[75];
	strcpy(obj->name, "AISRFixModelIdx");
	obj->type = J2S_TYPE_UINT_32;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->AISRFixModelIdx;
	obj->elem_size = sizeof(((sharp*)0)->AISRFixModelIdx);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 76;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[76];
	strcpy(obj->name, "AISRTuningEnable");
	obj->type = J2S_TYPE_INT_8;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->AISRTuningEnable;
	obj->elem_size = sizeof(((sharp*)0)->AISRTuningEnable);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 77;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[77];
	strcpy(obj->name, "AISRUsmGain_natural");
	obj->type = J2S_TYPE_UINT_32;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->AISRUsmGain_natural;
	obj->elem_size = sizeof(((sharp*)0)->AISRUsmGain_natural);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 78;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[78];
	strcpy(obj->name, "AISRUsmEnableCtrl_natural");
	obj->type = J2S_TYPE_INT_8;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->AISRUsmEnableCtrl_natural;
	obj->elem_size = sizeof(((sharp*)0)->AISRUsmEnableCtrl_natural);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 79;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[79];
	strcpy(obj->name, "AISRUsmCtrlOver_natural");
	obj->type = J2S_TYPE_UINT_32;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->AISRUsmCtrlOver_natural;
	obj->elem_size = sizeof(((sharp*)0)->AISRUsmCtrlOver_natural);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 80;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[80];
	strcpy(obj->name, "AISRUsmCtrlUnder_natural");
	obj->type = J2S_TYPE_UINT_32;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->AISRUsmCtrlUnder_natural;
	obj->elem_size = sizeof(((sharp*)0)->AISRUsmCtrlUnder_natural);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 81;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[81];
	strcpy(obj->name, "AISRFusionGain_natural");
	obj->type = J2S_TYPE_UINT_32;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->AISRFusionGain_natural;
	obj->elem_size = sizeof(((sharp*)0)->AISRFusionGain_natural);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 82;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[82];
	strcpy(obj->name, "AISRFusionEnableCtrl_natural");
	obj->type = J2S_TYPE_INT_8;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->AISRFusionEnableCtrl_natural;
	obj->elem_size = sizeof(((sharp*)0)->AISRFusionEnableCtrl_natural);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 83;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[83];
	strcpy(obj->name, "AISRFusionCtrlOver_natural");
	obj->type = J2S_TYPE_UINT_32;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->AISRFusionCtrlOver_natural;
	obj->elem_size = sizeof(((sharp*)0)->AISRFusionCtrlOver_natural);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 84;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[84];
	strcpy(obj->name, "AISRFusionCtrlUnder_natural");
	obj->type = J2S_TYPE_UINT_32;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->AISRFusionCtrlUnder_natural;
	obj->elem_size = sizeof(((sharp*)0)->AISRFusionCtrlUnder_natural);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 85;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[85];
	strcpy(obj->name, "AISRUsmGain_textual");
	obj->type = J2S_TYPE_UINT_32;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->AISRUsmGain_textual;
	obj->elem_size = sizeof(((sharp*)0)->AISRUsmGain_textual);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 86;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[86];
	strcpy(obj->name, "AISRUsmEnableCtrl_textual");
	obj->type = J2S_TYPE_INT_8;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->AISRUsmEnableCtrl_textual;
	obj->elem_size = sizeof(((sharp*)0)->AISRUsmEnableCtrl_textual);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 87;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[87];
	strcpy(obj->name, "AISRUsmCtrlOver_textual");
	obj->type = J2S_TYPE_UINT_32;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->AISRUsmCtrlOver_textual;
	obj->elem_size = sizeof(((sharp*)0)->AISRUsmCtrlOver_textual);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 88;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[88];
	strcpy(obj->name, "AISRUsmCtrlUnder_textual");
	obj->type = J2S_TYPE_UINT_32;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->AISRUsmCtrlUnder_textual;
	obj->elem_size = sizeof(((sharp*)0)->AISRUsmCtrlUnder_textual);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 89;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[89];
	strcpy(obj->name, "AISRFusionGain_textual");
	obj->type = J2S_TYPE_UINT_32;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->AISRFusionGain_textual;
	obj->elem_size = sizeof(((sharp*)0)->AISRFusionGain_textual);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 90;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[90];
	strcpy(obj->name, "AISRFusionEnableCtrl_textual");
	obj->type = J2S_TYPE_INT_8;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->AISRFusionEnableCtrl_textual;
	obj->elem_size = sizeof(((sharp*)0)->AISRFusionEnableCtrl_textual);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 91;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[91];
	strcpy(obj->name, "AISRFusionCtrlOver_textual");
	obj->type = J2S_TYPE_UINT_32;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->AISRFusionCtrlOver_textual;
	obj->elem_size = sizeof(((sharp*)0)->AISRFusionCtrlOver_textual);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 92;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[92];
	strcpy(obj->name, "AISRFusionCtrlUnder_textual");
	obj->type = J2S_TYPE_UINT_32;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((sharp*)0)->AISRFusionCtrlUnder_textual;
	obj->elem_size = sizeof(((sharp*)0)->AISRFusionCtrlUnder_textual);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = -1;
	obj->struct_index = -1;
	obj->enum_index = -1;

	obj = &ctx->objs[93];
	strcpy(obj->name, "csc");
	obj->type = J2S_TYPE_STRUCT;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((pq_tuning_param*)0)->csc;
	obj->elem_size = sizeof(((pq_tuning_param*)0)->csc);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 94;
	obj->struct_index = 0;
	obj->enum_index = -1;

	obj = &ctx->objs[94];
	strcpy(obj->name, "dci");
	obj->type = J2S_TYPE_STRUCT;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((pq_tuning_param*)0)->dci;
	obj->elem_size = sizeof(((pq_tuning_param*)0)->dci);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 95;
	obj->struct_index = 1;
	obj->enum_index = -1;

	obj = &ctx->objs[95];
	strcpy(obj->name, "acm");
	obj->type = J2S_TYPE_STRUCT;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((pq_tuning_param*)0)->acm;
	obj->elem_size = sizeof(((pq_tuning_param*)0)->acm);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 96;
	obj->struct_index = 2;
	obj->enum_index = -1;

	obj = &ctx->objs[96];
	strcpy(obj->name, "gamma");
	obj->type = J2S_TYPE_STRUCT;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((pq_tuning_param*)0)->gamma;
	obj->elem_size = sizeof(((pq_tuning_param*)0)->gamma);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = 97;
	obj->struct_index = 3;
	obj->enum_index = -1;

	obj = &ctx->objs[97];
	strcpy(obj->name, "sharp");
	obj->type = J2S_TYPE_STRUCT;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((pq_tuning_param*)0)->sharp;
	obj->elem_size = sizeof(((pq_tuning_param*)0)->sharp);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = -1;
	obj->struct_index = 4;
	obj->enum_index = -1;

	obj = &ctx->objs[98];
	strcpy(obj->name, "pq_tuning_param");
	obj->type = J2S_TYPE_STRUCT;
	obj->flags = 0 ;
	obj->offset = (uintptr_t)&((pq_config*)0)->pq_tuning_param;
	obj->elem_size = sizeof(((pq_config*)0)->pq_tuning_param);
	obj->base_elem_size = obj->elem_size;
	obj->num_elem = 1;
	obj->len_index = -1;
	obj->next_index = -1;
	obj->struct_index = 5;
	obj->enum_index = -1;

	strcpy(ctx->structs[0].name, "csc");
	ctx->structs[0].child_index = 0;
	strcpy(ctx->structs[1].name, "dci");
	ctx->structs[1].child_index = 9;
	strcpy(ctx->structs[2].name, "acm");
	ctx->structs[2].child_index = 16;
	strcpy(ctx->structs[3].name, "gamma");
	ctx->structs[3].child_index = 29;
	strcpy(ctx->structs[4].name, "sharp");
	ctx->structs[4].child_index = 33;
	strcpy(ctx->structs[5].name, "pq_tuning_param");
	ctx->structs[5].child_index = 93;
	strcpy(ctx->structs[6].name, "pq_config");
	ctx->structs[6].child_index = 98;
}
